SELECT DISTINCT
        status,
        code
FROM
	payment_groups
	JOIN ad_actions USING (payment_group_id)
	JOIN action_states USING (ad_id, action_id)
WHERE
        status IN (<%<%(@@# > 0),%>'@status'%>) AND
	CASE
		WHEN status IN ('unpaid', 'unverified') THEN CAST(action_states.state AS TEXT) = CAST(status AS TEXT)
		ELSE action_states.transition IN ('pay', 'verify', 'adminclear')
	END AND
	timestamp > CURRENT_TIMESTAMP - INTERVAL '3 days'
ORDER BY
        status;
